/***************************************************************************                        
 *   Copyright (C) 2008 by Jaroslav Reznik <jreznik@redhat.com>            *                        
 *                                                                         *                        
 *   This program is free software; you can redistribute it and/or modify  *                        
 *   it under the terms of the GNU General Public License as published by  *                        
 *   the Free Software Foundation; either version 2 of the License, or     *                        
 *   (at your option) any later version.                                   *                        
 *                                                                         *                        
 *   This program is distributed in the hope that it will be useful,       *                        
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *                        
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *                        
 *   GNU General Public License for more details.                          *                        
 *                                                                         *                        
 *   You should have received a copy of the GNU General Public License     *                        
 *   along with this program; if not, write to the                         *                        
 *   Free Software Foundation, Inc.,                                       *                        
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA            *                        
 ***************************************************************************/ 

#ifndef NETWORKSTATUSAPPLET_H
#define NETWORKSTATUSAPPLET_H

#include <plasma/applet.h>
#include <plasma/dataengine.h>

namespace Plasma
{
    class Svg;
}

class NetworkstatusApplet : public Plasma::Applet
{
    Q_OBJECT
    public:
        NetworkstatusApplet(QObject *parent, const QVariantList &args);
        ~NetworkstatusApplet();

        void init();
        void paintInterface(QPainter *painter, const QStyleOptionGraphicsItem *option,
                            const QRect &contents);
        void setPath(const QString&);
        QSizeF contentSizeHint() const;
        Qt::Orientations expandingDirections() const;

        void constraintsEvent(Plasma::Constraints constraints);

    public slots:
        void dataUpdated(const QString &name, const Plasma::DataEngine::Data &data);

    private:
        Plasma::Svg* m_theme;
        QString m_status;
};

K_EXPORT_PLASMA_APPLET(networkstatusapplet, NetworkstatusApplet)

#endif
