/***************************************************************************                        
 *   Copyright (C) 2008 by Jaroslav Reznik <jreznik@redhat.com>            *                        
 *                                                                         *                        
 *   This program is free software; you can redistribute it and/or modify  *                        
 *   it under the terms of the GNU General Public License as published by  *                        
 *   the Free Software Foundation; either version 2 of the License, or     *                        
 *   (at your option) any later version.                                   *                        
 *                                                                         *                        
 *   This program is distributed in the hope that it will be useful,       *                        
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *                        
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *                        
 *   GNU General Public License for more details.                          *                        
 *                                                                         *                        
 *   You should have received a copy of the GNU General Public License     *                        
 *   along with this program; if not, write to the                         *                        
 *   Free Software Foundation, Inc.,                                       *                        
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA            *                        
 ***************************************************************************/ 

#ifndef NETWORKSTATUSENGINE_H
#define NETWORKSTATUSENGINE_H

#include "plasma/dataengine.h"

#include <solid/networking.h>

class NetworkstatusEngine : public Plasma::DataEngine
{
    Q_OBJECT

public:
    NetworkstatusEngine( QObject* parent, const QVariantList& args );
    ~NetworkstatusEngine();
    QStringList sources() const;

protected:
    bool sourceRequestEvent(const QString &name);
    bool updateSourceEvent(const QString &name);
    void init();

private:
    Solid::Networking::Notifier* m_notifier;
    QStringList m_sources;
};

K_EXPORT_PLASMA_DATAENGINE(networkstatus, NetworkstatusEngine)

#endif
